h = colorbar;
labelvalues =  str2num( get(h, 'YTickLabel') );
% labelvalues = ( labelvalues)
labels = cell( length(labelvalues),1);

for idx = 1 : length(labelvalues),
    if ceil(labelvalues( idx )) == floor(labelvalues( idx )),
        labels(idx) = { [num2str( 10^labelvalues(idx) ) ' mD'] };
    else
        labels(idx) = {' '};
    end
end
    
colorbar('YTickLabel', labels)